<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>awesome-interviews</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="awesome-interviews-awesome">
      Awesome Interviews
      <a href="https://github.com/sindresorhus/awesome"
        ><img
          src="https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg"
          alt="Awesome"
      /></a>
    </h1>
    <blockquote>
      <p>A curated list of lists of technical interview questions.</p>
    </blockquote>
    <p><a href="awesome.md">What makes for an awesome list?</a></p>
    <p>
      Please read the <a href="contributing.md">contribution guidelines</a> or
      the <a href="create-list.md">creating a list guide</a> if you want to
      contribute.
    </p>
    <p>
      <strong
        >Check out my <a href="https://t.me/botcube">channel</a> or
        <a href="https://medium.com/@MaximAbramchuk">blog</a>.</strong
      >
    </p>
    <h3 id="table-of-contents">Table of Contents</h3>
    <ul>
      <li>
        <a href="#programming-languagesframeworksplatforms"
          >Programming Languages/Frameworks/Platforms</a
        >
        <ul>
          <li><a href="#android">Android</a></li>
          <li><a href="#angularjs">AngularJS</a></li>
          <li><a href="#backbonejs">BackboneJS</a></li>
          <li><a href="#c">C++</a></li>
          <li><a href="#c-1">C</a></li>
          <li><a href="#c-2">C♯</a></li>
          <li><a href="#net">.NET</a></li>
          <li><a href="#clojure">Clojure</a></li>
          <li><a href="#css">CSS</a></li>
          <li><a href="#cucumber">Cucumber</a></li>
          <li><a href="#django">Django</a></li>
          <li><a href="#emberjs">EmberJS</a></li>
          <li><a href="#erlang">Erlang</a></li>
          <li><a href="#golang">Golang</a></li>
          <li><a href="#html">HTML</a></li>
          <li><a href="#ionic">Ionic</a></li>
          <li><a href="#ios">iOS</a></li>
          <li><a href="#java">Java</a></li>
          <li><a href="#javascript">JavaScript</a></li>
          <li><a href="#jquery">jQuery</a></li>
          <li><a href="#front-end-build-tools">Front-end build tools</a></li>
          <li><a href="#knockoutjs">KnockoutJS</a></li>
          <li><a href="#less">Less</a></li>
          <li><a href="#lisp">Lisp</a></li>
          <li><a href="#nodejs">NodeJS</a></li>
          <li><a href="#objective-c">Objective-C</a></li>
          <li><a href="#php">PHP</a></li>
          <li><a href="#python">Python</a></li>
          <li><a href="#reactjs">ReactJS</a></li>
          <li><a href="#ruby-on-rails">Rails</a></li>
          <li><a href="#ruby">Ruby</a></li>
          <li><a href="#sass">Sass</a></li>
          <li><a href="#scala">Scala</a></li>
          <li><a href="#shell">Shell</a></li>
          <li><a href="#swift">Swift</a></li>
          <li><a href="#wordpress">Wordpress</a></li>
        </ul>
      </li>
      <li>
        <p><a href="#database-technologies">Database technologies</a></p>
        <ul>
          <li><a href="#cassandra">Cassandra</a></li>
          <li><a href="#microsoft-access">Microsoft Access</a></li>
          <li><a href="#mongodb">MongoDB</a></li>
          <li><a href="#mysql">MySQL</a></li>
          <li><a href="#neo4j">Neo4j</a></li>
          <li><a href="#oracle">Oracle</a></li>
          <li><a href="#postgres">Postgres</a></li>
          <li><a href="#sql">SQL</a></li>
          <li><a href="#sql-lite">SQL Lite</a></li>
        </ul>
      </li>
      <li>
        <a href="#os">OS</a>
        <ul>
          <li><a href="#linux">Linux</a></li>
          <li><a href="#windows">Windows</a></li>
        </ul>
      </li>
      <li><a href="#algorithms">Algorithms</a></li>
      <li><a href="#coding-exercises">Coding exercises</a></li>
      <li><a href="#comprehensive-lists">Comprehensive lists</a></li>
      <li><a href="#design-patterns">Design patterns</a></li>
      <li><a href="#data-structures">Data structures</a></li>
      <li><a href="#networks">Networks</a></li>
      <li><a href="#security">Security</a></li>
      <li>
        <p><a href="#data-science">Data Science</a></p>
      </li>
    </ul>
    <h2 id="programming-languagesframeworksplatforms">
      Programming Languages/Frameworks/Platforms
    </h2>
    <h3 id="android">Android</h3>
    <ul>
      <li>
        <a href="http://www.careerride.com/android-interview-questions.aspx"
          >10 Android interview question answers for Freshers</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/android/interview-questions"
          >20 Essential Android Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/50-android-interview-questions-answers/"
          >50 android interview questions &amp; answers</a
        >.
      </li>
      <li>
        <a
          href="https://www.quora.com/What-are-good-job-interview-questions-for-an-Android-developer"
          >A couple of Android questions posted by Quora users</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/android/android_interview_questions.htm"
          >A great list of Android interview questions covering all the aspects
          of this career</a
        >
      </li>
      <li>
        <a href="https://github.com/derekargueta/Android-Interview-Questions"
          >Collection of Android and Java related questions and topics,
          including general developer questions, Java core, Data structures,
          Build Tools, Programming Paradigms, Core Android, Databases and etc</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/@neteinstein/not-another-android-interviews-article-the-questions-3dedafa30bec"
          >Collection of Android and Java questions divided by experience</a
        >
      </li>
      <li>
        <a href="https://pangara.com/blog/android-interview-questions"
          >Android Interview Questions &amp; How to Interview Candidates</a
        >
      </li>
    </ul>
    <h3 id="angularjs">AngularJS</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/angular-js/interview-questions"
          >12 Essential AngularJS Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <span class="citation" data-cites="gdi2290"
          >[An AngularJS exam with questions from beginner to expert by @gdi2290
          from @AngularClass]</span
        >(https://github.com/gdi2290/ngExam)
      </li>
      <li>
        <a
          href="https://www.codementor.io/angularjs/tutorial/angularjs-interview-questions-sample-answers"
          >29 AngularJS Interview Questions – Can You Answer Them All? Great
          Article from Codementor</a
        >
      </li>
      <li>
        <a
          href="http://www.web-technology-experts-notes.in/2014/11/angularjs-interview-questions-and-answers-for-experienced.html"
          >AngularJS interview questions and answers for experienced
          developers</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/angularjs/angularjs_interview_questions.htm"
          >AngularJS Interview Questions which have been designed specially to
          get you acquainted with the nature of questions you may encounter
          during your interview for the subject of AngularJS</a
        >
      </li>
      <li>
        <a
          href="http://www.codeproject.com/Articles/891718/AngularJS-Interview-Questions-and-Answers"
          >This article discusses the top 50 Most occurred AngularJS interview
          question with answers</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-25-angular-js-interview-questions/"
          >Top 25 Angularjs Interview Questions and Quiz</a
        >
      </li>
    </ul>
    <h3 id="backbonejs">BackboneJS</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/backbone-js/interview-questions"
          >8 Essential Backbonejs Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://www.web-technology-experts-notes.in/2015/01/backbone-js-interview-questions-and-answers.html"
          >Backbonejs Interview Questions And Answers from web technology
          experts notes</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-25-backbone-js-interview-questions/"
          >Top 25 Backbone.js interview questions</a
        >
      </li>
    </ul>
    <h3 id="c">C++</h3>
    <ul>
      <li>
        <a
          href="http://www.sanfoundry.com/cplusplus-interview-questions-answers/"
          >1000+ Multiple Choice Questions &amp; Answers in C++ with
          explanations</a
        >
      </li>
      <li>
        <a href="http://www.careerride.com/C++-Interview-questions-Answer.aspx"
          >200 C++ interview questions and answers</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/c-plus-plus/interview-questions"
          >24 Essential C++ Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://a4academics.com/interview-questions/57-c-plus-plus/419-cpp-interview-questions-answers"
          >C++ Interview Questions and Answers for Freshers and Experienced
          developers</a
        >
      </li>
      <li>
        <a
          href="http://www.geekinterview.com/Interview-Questions/Languages/C-Plus-Plus"
          >C++ Interview Questions from GeekInterview</a
        >
      </li>
      <li>
        <a href="http://www.geeksforgeeks.org/c-plus-plus/"
          >C++ Programming Q&amp;A and quizzes from computer science portal for
          geeks</a
        >
      </li>
      <li>
        <a href="http://www.indiabix.com/cpp-programming/questions-and-answers/"
          >C++ Programming Questions and Answers related to such topics as OOPs
          concepts, Object and Classes, Functions, Constructors and Destructors,
          Inheritance and etc</a
        >
      </li>
      <li>
        <a href="https://github.com/haoel/leetcode"
          >LeetCode Problems’ Solutions written in C++</a
        >
      </li>
      <li>
        <a href="https://pangara.com/blog/cplusplus-interview-questions"
          >25 Fundamental C++ Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="c-1">C</h3>
    <ul>
      <li>
        <a
          href="http://placement.freshersworld.com/power-preparation/technical-interview-questions/C-programming-answers-21419"
          >165 C interview questions</a
        >
      </li>
      <li>
        <a
          href="http://www.cquestions.com/2010/10/c-interview-questions-and-answers.html"
          >Basic C language technical frequently asked interview questions and
          answers It includes data structures, pointers interview questions and
          answers for experienced</a
        >
      </li>
      <li>
        <a href="http://www.indiabix.com/technical/c/"
          >C Programming Interview Questions and Answers for such topics as Bits
          and Bytes, Preprocessors, Functions, Strings, Language basics and
          etc</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/cprogramming/cprogramming_interview_questions.htm"
          >C Programming Interview Questions have been designed specially to get
          you acquainted with the nature of questions you may encounter during
          your interview for the subject of C Programming</a
        >
      </li>
      <li>
        <a
          href="http://geeksquiz.com/commonly-asked-c-programming-interview-questions-set-1/"
          >First set of commonly asked C programming interview questions from
          computer science portal for geeks</a
        >
      </li>
      <li>
        <a
          href="http://geeksquiz.com/commonly-asked-c-programming-interview-questions-set-2/"
          >Second set of commonly asked C programming interview questions from
          computer science portal for geeks</a
        >
      </li>
      <li>
        <a href="https://www.toptal.com/c/interview-questions"
          >9 Essential C Interview Questions with answers</a
        >
      </li>
    </ul>
    <h3 id="c-2">C♯</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/c-sharp/interview-questions"
          >15 Essential C# Interview Question from top 3% developers company</a
        >
      </li>
      <li>
        <a href="http://www.dotnetfunda.com/interviews/cat/6/csharp"
          >C# interview questions from dotnetfunda.com</a
        >
      </li>
      <li>
        <a
          href="http://a4academics.com/interview-questions/52-dot-net-interview-questions/417-c-oops-interview-questions-and-answers"
          >Top 100 C# Interview Questions and Answers</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-50-c-sharp-interview-questions-answers/"
          >Top 50 C# Interview Questions &amp; Answers</a
        >
      </li>
    </ul>
    <h3 id="net">.NET</h3>
    <ul>
      <li>
        <a href="http://www.careerride.com/ASPNet-Questions.aspx"
          >300 ASPNET interview questions and answers</a
        >
      </li>
      <li>
        <a href="http://www.indiabix.com/technical/dotnet/"
          >Great list of NET interview questions covering all the NET platform
          topics</a
        >
      </li>
      <li>
        <a
          href="http://www.dotnetcurry.com/dotnetinterview/70/dotnet-interview-questions-answers-beginners"
          >NET Interview Questions and Answers for Beginners which consists of
          the most frequently asked questions in NET This list of 100+ questions
          and answers gauge your familiarity with the NET platform</a
        >
      </li>
      <li>
        <a
          href="http://stackoverflow.com/questions/365489/questions-every-good-net-developer-should-be-able-to-answer"
          >Questions gathered by community of the StackOverflow</a
        >
      </li>
      <li>
        <a
          href="http://www.hanselman.com/blog/WhatGreatNETDevelopersOughtToKnowMoreNETInterviewQuestions.aspx"
          >What Great NET Developers Ought To Know (More NET Interview
          Questions)</a
        >
      </li>
    </ul>
    <h3 id="clojure">Clojure</h3>
    <ul>
      <li>
        <a
          href="http://www.learningclojure.com/2014/05/fizz-buzz-interview-question.html"
          >Classic ‘Fizz Buzz’ interview question for Clojure developers</a
        >
      </li>
      <li>
        <a href="http://ita2zguide.blogspot.com.by/p/cc.html"
          >Clojure Interview Questions for experienced devs</a
        >
      </li>
      <li>
        <a href="https://github.com/dpetrovics/coding-exercises"
          >Coding exercises in Clojure, handy practice for technical interview
          questions</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/Clojure/comments/34qhha/clojure_coding_job_interview_experience/"
          >Experience and questions from Clojure developer interview collected
          by Reddit users</a
        >
      </li>
      <li>
        <a href="https://github.com/DerekCuevas/interview-cake-clj"
          >Interview cake Clojure solutions</a
        >
      </li>
    </ul>
    <h3 id="css">CSS</h3>
    <ul>
      <li>
        <a href="http://www.careerride.com/Interview-Questions-CSS.aspx"
          >CSS interview questions and answers for freshers and experienced
          candidates Also there you can find CSS online practice tests to fight
          written tests and certification exams on CSS</a
        >
      </li>
      <li>
        <a
          href="http://www.techrepublic.com/blog/software-engineer/css-interview-questions-and-answers/"
          >Development hiring managers and potential interviewees may find there
          sample CSS proficiency interview Q&amp;As and code snippets useful</a
        >
      </li>
      <li>
        <a href="https://css-tricks.com/interview-questions-css/"
          >Interview Questions and Exercises About CSS</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-50-csscascading-style-sheet-interview-questions/"
          >Top 50 CSS(Cascading Style Sheet) Interview Questions covering the
          most of tricky CSS moments</a
        >
      </li>
      <li>
        <a
          href="https://github.com/yangshun/front-end-interview-handbook/blob/master/questions/css-questions.md"
          >CSS Questions and Answers</a
        >
      </li>
    </ul>
    <h3 id="cucumber">Cucumber</h3>
    <ul>
      <li>
        <a
          href="https://ratedr05.wordpress.com/2017/09/22/cucumber-interview-questions/"
          >Cucumber Web Application BDD Sample Interview Questions</a
        >
      </li>
      <li>
        <a
          href="http://watir.com/simple-cucumber-watir-page-object-pattern-framework/"
          >Guide to building a simple Cucumber + Watir page object pattern
          framework</a
        >
      </li>
    </ul>
    <h3 id="django">Django</h3>
    <ul>
      <li>
        <a
          href="http://insights.dice.com/2014/04/30/interview-questions-pythondjango-developers/"
          >Some abstract interview questions for Python/Django developers</a
        >
      </li>
      <li>
        <a href="http://www.ilian.io/django-interview-questions/"
          >Some Django basic interview questions to establish the basic level of
          the candidates</a
        >
      </li>
      <li>
        <a href="http://blog.jayapal.in/2010/11/django-interview-question.html"
          >Some Django/Python interview questions from Jaypal personal blog</a
        >
      </li>
      <li>
        <a
          href="http://www.goodinterviewquestions.net/top-10-django-interview-questions-and-answers/"
          >Top 10 Django interview questions with their answers that you can
          encounter during the job interview for web developer</a
        >
      </li>
      <li>
        <a href="http://www.f2finterview.com/web/Django/"
          >Django interview questions from f2finterview.com</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-16-django-interview-questions/"
          >Top 16 Django Interview Questions for both freshers and experienced
          developers</a
        >
      </li>
    </ul>
    <h3 id="emberjs">EmberJS</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/emberjs/interview-questions"
          >8 Essential Emberjs Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-25-ember-js-interview-questions/"
          >Top 25 Emberjs Interview Questions for both freshers and experienced
          developers</a
        >
      </li>
    </ul>
    <h3 id="erlang">Erlang</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-22-erlang-interview-questions/"
          >Top 22 Erlang Interview Questions for both freshers and experienced
          developers</a
        >
      </li>
    </ul>
    <h3 id="golang">Golang</h3>
    <ul>
      <li>
        <a href="https://github.com/mrekucci/epi"
          >Solutions for Elements of Programming Interviews problems written in
          Golang</a
        >
      </li>
      <li>
        <a href="https://github.com/efischer19/golang_ctci"
          >Solutions for some basic coding interview tasks written in Go</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-20-go-programming-interview-questions/"
          >Top 20 GO Programming Interview Questions for both freshers and
          experienced developers</a
        >
      </li>
    </ul>
    <h3 id="html">HTML</h3>
    <ul>
      <li>
        <a href="http://www.sitepoint.com/10-typical-html-interview-exercises/"
          >10 Typical HTML Interview Exercises from SitePoint.com</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/html5/interview-questions"
          >16 Essential HTML5 Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://www.codeproject.com/Articles/702051/important-HTML-Interview-questions-with-answe"
          >40 important HTML 5 Interview questions with answers</a
        >
      </li>
      <li>
        <a href="http://www.careerride.com/Interview-Questions-HTML.aspx"
          >HTML interview questions and answers for freshers and experienced
          candidates Also find HTML online practice tests to fight written tests
          and certification exams on HTML</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-50-html-interview-questions/"
          >Top 50 HTML Interview Questions for both freshers and experienced
          developers</a
        >
      </li>
      <li>
        <a href="http://www.javatpoint.com/html-interview-questions"
          >Common HTML interview questions for freshers</a
        >
      </li>
      <li>
        <a
          href="https://github.com/yangshun/front-end-interview-handbook/blob/master/questions/html-questions.md"
          >HTML Questions and Answers</a
        >
      </li>
    </ul>
    <h3 id="ionic">Ionic</h3>
    <ul>
      <li>
        <a href="http://www.codeandyou.com/p/ionic-interview-questions.html"
          >23 Beginner Level Ionic Framework Questions</a
        >
      </li>
      <li>
        <a href="https://www.toptal.com/ionic/interview-questions"
          >12 Essential Ionic Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="ios">iOS</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/ios/interview-questions"
          >14 Essential iOS Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/ios/tutorial/ios-interview-tips-questions-answers-objective-c"
          >20 iOS Developer Interview Questions and Answers for getting you
          ready for your interview</a
        >
      </li>
      <li>
        <a
          href="https://github.com/CameronBanga/iOS-Developer-and-Designer-Interview-Questions"
          >A small guide to help those looking to hire a developer or designer
          for iOS work While tailored for iOS, many questions could be used for
          Android developers or designers as well A great self-test if you’re
          looking to keep current or practice for your own interview</a
        >
      </li>
      <li>
        <a href="http://www.raywenderlich.com/53962/ios-interview-questions"
          >All you need to know about iOS technical interview including some
          tips for preparing, questions and some coding exercises</a
        >
      </li>
      <li>
        <a
          href="https://blackpixel.com/writing/2013/04/interview-questions-for-ios-and-mac-developers-1.html"
          >Interview Questions for iOS and Mac Developers from the CEO of Black
          Pixel</a
        >
      </li>
      <li>
        <a href="http://www.geekinterview.com/Interview-Questions/iOS"
          >iOS Interview Questions and Answers including such topics as
          Development Basics, App states and multitasking, App states, Core app
          objects</a
        >
      </li>
      <li>
        <a
          href="https://m.smartcloud.io/ios-interview-questions-for-senior-developers-in-2017-a94cc81c8205"
          >iOS Interview Questions For Senior Developers</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/ios-os-x-development/ios-interview-questions-13840247a57a"
          >50 iOS Interview Questions And Answers 1</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/ios-os-x-development/50-ios-interview-questions-and-answers-part-2-45f952230b9f"
          >50 iOS Interview Questions And Answers Part 2</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/ios-os-x-development/50-ios-interview-questions-and-answers-part-3-3fad146b6c3d"
          >50 iOS Interview Questions And Answers Part 3</a
        >
      </li>
      <li>
        <a
          href="https://medium.com/@duruldalkanat/50-ios-interview-questions-and-answers-part-4-6f26b26341a"
          >50 iOS Interview Questions And Answers Part 4</a
        >
      </li>
      <li>
        <a href="https://www.upwork.com/i/interview-questions/ios/"
          >10 iOS interview questions and answers</a
        >
      </li>
      <li>
        <a
          href="https://github.com/9magnets/iOS-Developer-and-Designer-Interview-Questions#tech"
          >iOS Developer and Designer Interview Questions</a
        >
      </li>
      <li>
        <a
          href="http://www.thecrazyprogrammer.com/2015/11/ios-interview-questions-and-answers.html"
          >IOS Interview Questions and Answers</a
        >
      </li>
    </ul>
    <h3 id="java">Java</h3>
    <ul>
      <li>
        <a
          href="http://www.javacodegeeks.com/2014/04/java-interview-questions-and-answers.html"
          >115 Java Interview Questions and Answers – The ULTIMATE List</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/java/tutorial/java-interview-sample-questions-answers"
          >37 Java Interview Questions to Practice With from Codementor</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/java/interview-questions"
          >21 Essential Java Interview Questions</a
        >
      </li>
      <li>
        <a href="https://github.com/svozniuk/java-interviews"
          >A collection of Java interview questions and answers to them The
          questions were gathered all around the Internet The answers are partly
          written by the commiters, partly copy-pasted from all possible
          sources</a
        >
      </li>
      <li>
        <a href="https://github.com/donbeave/interview"
          >Data Structures and Algorithms in Java which can be useful in
          interview process</a
        >
      </li>
      <li>
        <a href="https://blog.udemy.com/java-interview-questions/"
          >Java Interview Questions: How to crack the TOP 15 questions</a
        >
      </li>
      <li>
        <a href="http://www.javatpoint.com/corejava-interview-questions"
          >There is the list of 201 core java interview questions The answers of
          the core java interview questions are short and to the point The core
          java interview questions are categorized in Basics of java interview
          questions, OOPs interview questions, String Handling interview
          questions, Multithreading interview questions, collection interview
          questions, JDBC interview questions etc</a
        >
      </li>
      <li>
        <a
          href="http://java67.blogspot.com.by/2012/09/top-10-tricky-java-interview-questions-answers.html"
          >Top 10 Tricky Java interview questions and Answers</a
        >
      </li>
      <li>
        <a
          href="http://javahungry.blogspot.com/2013/06/top-25-most-frequently-asked-core-java.html"
          >Top 25 Most Frequently Asked Interview Core Java Interview Questions
          And Answers</a
        >
      </li>
      <li>
        <a
          href="http://java67.blogspot.sg/2015/03/top-40-core-java-interview-questions-answers-telephonic-round.html"
          >Top 40 Core Java Interview Questions Answers from Telephonic Round</a
        >
      </li>
      <li>
        <a href="https://www.interviewcake.com/java-interview-questions"
          >Interview Cake Java Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="javascript">JavaScript</h3>
    <ul>
      <li>
        <a
          href="https://medium.com/javascript-scene/10-interview-questions-every-javascript-developer-should-know-6fa6bdf5ad95"
          >10 Interview Questions Every JavaScript Developer Should Know</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/javascript/tutorial/21-essential-javascript-tech-interview-practice-questions-answers"
          >21 Essential JavaScript Interview Questions from best mentors all
          over the world</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/javascript/interview-questions"
          >37 Essential JavaScript Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="http://www.sitepoint.com/5-javascript-interview-exercises/"
          >5 More JavaScript Interview Exercises</a
        >
      </li>
      <li>
        <a
          href="http://www.sitepoint.com/5-typical-javascript-interview-exercises/"
          >5 Typical JavaScript Interview Exercises</a
        >
      </li>
      <li>
        <a
          href="http://www.techrepublic.com/blog/software-engineer/javascript-interview-questions-and-answers/"
          >Development hiring managers and potential interviewees may find these
          sample JavaScript proficiency interview Q&amp;As and code snippets
          useful</a
        >
      </li>
      <li>
        <a
          href="https://github.com/nishant8BITS/123-Essential-JavaScript-Interview-Question"
          >123 Essential JavaScript Interview Question</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/javascript/javascript_interview_questions.htm"
          >JavaScript Interview Questions have been designed specially to get
          you acquainted with the nature of questions you may encounter during
          your interview for the subject of JavaScript</a
        >
      </li>
      <li>
        <a href="http://www.thatjsdude.com/interview/js2.html"
          >JS: Basics and Tricky Questions</a
        >
      </li>
      <li>
        <a href="http://thatjsdude.com/interview/js1.html"
          >JS: Interview Algorithm</a
        >
      </li>
      <li>
        <a href="https://github.com/kolodny/exercises"
          >Some basic javascript coding challenges and interview questions</a
        >
      </li>
      <li>
        <a href="https://github.com/csvenja/javascript-exercises"
          >Some JavaScript interview exercises</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/javascript/comments/3rb88w/ten_questions_ive_been_asked_most_more_than_once"
          >Ten Questions I’ve Been Asked, Most More Than Once, Over Six
          Technical JavaScript / Front-End Engineer Job Interviews.</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-85-javascript-interview-questions/"
          >Top 85 JavaScript Interview Questions</a
        >
      </li>
      <li>
        <a href="https://www.interviewcake.com/javascript-interview-questions"
          >Interview Cake JavaScript Interview Questions</a
        >
      </li>
      <li>
        <a
          href="https://performancejs.com/post/hde6d32/The-Best-Frontend-JavaScript-Interview-Questions-(written-by-a-Frontend-Engineer)"
          >The Best Frontend JavaScript Interview Questions (written by a
          Frontend Engineer)</a
        >
      </li>
      <li>
        <a
          href="https://github.com/yangshun/tech-interview-handbook/blob/master/front-end/interview-questions.md#js-questions"
          >JavaScript Questions and Answers</a
        >
      </li>
      <li>
        <a
          href="https://dev.to/arnavaggarwal/10-javascript-concepts-you-need-to-know-for-interviews"
          >10 JavaScript Concepts You Need to Know for Interviews</a
        >
      </li>
      <li>
        <a href="https://github.com/yangshun/front-end-interview-handbook"
          >Front end interview handbook</a
        >
      </li>
    </ul>
    <h3 id="jquery">jQuery</h3>
    <ul>
      <li>
        <a href="https://pangara.com/blog/70-jquery-interview-questions"
          >70 jQuery Interview Questions to Ace Your Next Interview</a
        >
      </li>
    </ul>
    <h3 id="front-end-build-tools">Front-end build tools</h3>
    <ul>
      <li>
        <a href="https://github.com/styopdev/webpack-interview-questions"
          >Webpack interview questions &amp; answers</a
        >
      </li>
      <li>
        <a
          href="https://www.codeproject.com/Articles/1065184/Latest-Gulp-js-interview-questions"
          >Gulp js interview questions</a
        >
      </li>
      <li>
        <a href="http://www.talkingdotnet.com/grunt-js-interview-questions/"
          >Grunt js interview questions for beginners</a
        >
      </li>
      <li>
        <a href="https://mindmajix.com/grunt-interview-questions"
          >Grunt js interview questions</a
        >
      </li>
    </ul>
    <h3 id="knockoutjs">KnockoutJS</h3>
    <ul>
      <li>
        <a
          href="http://www.code-sample.com/2014/01/knockout-js-interview-questions-and.html"
          >15 interview questions from CodeSample.com</a
        >
      </li>
      <li>
        <a
          href="http://www.codeproject.com/Articles/987899/KnockoutJS-interview-questions"
          >20 questions you might be asked about KnockoutJS in an interview for
          both freshers and experienced developers</a
        >
      </li>
    </ul>
    <h3 id="less">Less</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-25-less-interview-questions/"
          >Top 25 LESS Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="lisp">Lisp</h3>
    <ul>
      <li>
        <a href="http://www.sanfoundry.com/lisp-mcqs-class/"
          >10 LISP Questions &amp; Answers</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-18-lisp-interview-questions/"
          >Top 18 Lisp Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="nodejs">NodeJS</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/nodejs/interview-questions"
          >8 Essential Nodejs Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://www.lazyquestion.com/interview-questions-and-answer/nodejs"
          >Node.js Interview Questions &amp; Answers from LazyQuestion.com</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/nodejs/nodejs_interview_questions.htm"
          >Node.JS Interview Questions have been designed specially to get you
          acquainted with the nature of questions you may encounter during your
          interview for the subject of Node.JS</a
        >
      </li>
      <li>
        <a href="https://blog.risingstack.com/node-js-interview-questions/"
          >There are two sides of the table: you either want to hire Nodejs
          developers or you want to get hired as a Nodejs developer This list
          helps you navigate a bit in this space, giving you some questions to
          ask, and a list of questions you should know the answer to</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-25-interview-questions-on-node-js/"
          >Top 25 Nodejs Interview Questions &amp; Answers from Career Guru</a
        >
      </li>
      <li>
        <a
          href="http://www.techbeamers.com/top-30-node-js-interview-questions-answers/"
          >Top 30 Node.Js Interview Questions With Answers</a
        >
      </li>
    </ul>
    <h3 id="objective-c">Objective-C</h3>
    <ul>
      <li>
        <a
          href="http://insights.dice.com/2015/07/21/interview-qs-objective-c-swift/"
          >Interview Qs for Objective-C and Swift</a
        >
      </li>
      <li>
        <a href="http://andras.palfi.hu/iosobjc-interview-questions/"
          >iOS/ObjC Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="php">PHP</h3>
    <ul>
      <li>
        <a href="http://www.careerride.com/PHP-Interview-Questions.aspx"
          >100 PHP interview questions and answers from CareerRide.com</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/php/interview-questions"
          >21 Essential PHP Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://www.woodstitch.com/resources/php-interview-questions.php"
          >20 Common PHP Job Interview Questions and Answers</a
        >
      </li>
      <li>
        <a href="https://github.com/developerquestions/php-questions"
          >Basic PHP interview questions</a
        >
      </li>
      <li>
        <a href="http://phpinterviewquestions.co.in/"
          >PHP interview questions and answers for freshers</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-100-php-interview-questions-answers/"
          >Top 100 PHP Interview Questions &amp; Answers from CareerGuru</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/php/tutorial/php-interview-questions-sample-answers"
          >25 PHP Interview Questions</a
        >
      </li>
      <li>
        <a href="https://pangara.com/blog/php-interview-questions"
          >26 Essential PHP Interview Questions for 2018</a
        >
      </li>
    </ul>
    <h3 id="python">Python</h3>
    <ul>
      <li>
        <a href="http://www.careerride.com/python-interview-questions.aspx"
          >50 Python interview questions and answers</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/python/interview-questions"
          >11 Essential Python Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="https://github.com/sigmavirus24/python-interview-questions"
          >A listing of questions that could potentially be asked for a python
          job listing</a
        >
      </li>
      <li>
        <a
          href="http://www.bogotobogo.com/python/python_interview_questions.php"
          >Interview Questions for both beginners and experts</a
        >
      </li>
      <li>
        <a href="https://www.interviewcake.com/python-interview-questions"
          >Interview Cake Python Interview Questions</a
        >
      </li>
      <li>
        <a href="https://docs.python.org/2/faq/programming.html"
          >Python Frequently Asked Questions (Programming)</a
        >
      </li>
      <li>
        <a
          href="https://www.reddit.com/r/Python/comments/1knw7z/python_interview_questions"
          >Python interview questions collected by Reddit users</a
        >
      </li>
      <li>
        <a
          href="http://www.questionscompiled.com/python-interview-questions.html"
          >Python Interview Questions from questionscompiled</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-25-python-interview-questions/"
          >Top 25 Python Interview Questions from Career Guru</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/watch?v=DEwgZNC-KyE"
          >Python Interview 10 questions from Corey Schafer</a
        >
      </li>
    </ul>
    <h3 id="ruby-on-rails">Ruby on Rails</h3>
    <ul>
      <li>
        <a
          href="http://www.careerride.com/ruby-on-rails-interview-questions.aspx"
          >20 Ruby on Rails interview questions and answers from
          CareerRide.com</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/ruby-on-rails/interview-questions"
          >9 Essential Ruby on Rails Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="https://github.com/rishiip/ruby-on-rails-interview-questions"
          >A list of common questions with answers ask during interview of ruby
          on rails job</a
        >
      </li>
      <li>
        <a
          href="http://anilpunjabi.tumblr.com/post/25948339235/ruby-and-rails-interview-questions-and-answers"
          >Ruby And Ruby On Rails interview Q&amp;A</a
        >
      </li>
      <li>
        <a
          href="https://srikantmahapatra.wordpress.com/2013/11/07/ruby-on-rails-interview-questions-and-answers/"
          >Some of the most frequently asked Ruby on Rails questions and how to
          answer them confidently</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/ruby-on-rails/tutorial/ruby-on-rails-interview-questions"
          >11 Ruby on Rails Interview Practice Questions</a
        >
      </li>
      <li>
        <a
          href="https://career.guru99.com/top-34-ruby-on-rail-interview-questions/"
          >Top 53 Ruby on Rails Interview Questions &amp; Answers</a
        >
      </li>
      <li>
        <a href="https://www.upwork.com/i/interview-questions/ruby-on-rails/"
          >10 Ruby on Rails interview questions and answers</a
        >
      </li>
    </ul>
    <h3 id="reactjs">ReactJS</h3>
    <ul>
      <li>
        <a
          href="https://www.reddit.com/r/reactjs/comments/3m5equ/react_what_interview_questions_to_expect/"
          >Reddit users share their expectations from ReactJS interview</a
        >
      </li>
      <li>
        <a
          href="http://interview-questions-247.appspot.com/reactjs-interview-questions-set-1"
          >This is a first in the series of interview questions related with
          ReactJS</a
        >
      </li>
      <li>
        <a
          href="http://interview-questions-247.appspot.com/reactjs-interview-questions-set-3"
          >This quiz intends to test your understanding around ReactJS
          fundamentals (Set 3)</a
        >
      </li>
      <li>
        <a
          href="http://interview-questions-247.appspot.com/reactjs-interview-questions-set-2"
          >This quiz intends to test your understanding around ReactJS
          fundamentals</a
        >
      </li>
      <li>
        <a
          href="https://www.codementor.io/reactjs/tutorial/5-essential-reactjs-interview-questions"
          >5 Essential React.js Interview Questions</a
        >
      </li>
      <li>
        <a href="https://tylermcginnis.com/react-interview-questions/"
          >React Interview Questions</a
        >
      </li>
      <li>
        <a href="https://www.toptal.com/react/interview-questions"
          >Toptal’s 13 Essential React.js Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="ruby">Ruby</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/ruby/interview-questions"
          >21 Essential Ruby Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="https://gist.github.com/ryansobol/5252653"
          >15 Questions to Ask During a Ruby Interview</a
        >
      </li>
      <li>
        <a href="https://github.com/undr/ruby-trivia"
          >A list of questions about Ruby programming you can use to quiz
          yourself</a
        >
      </li>
      <li>
        <a
          href="http://technology.customink.com/blog/2015/11/23/the-art-of-ruby-technical-interviews/"
          >The Art of Ruby Technical Interview</a
        >
      </li>
      <li>
        <a href="https://www.interviewcake.com/ruby-interview-questions"
          >Interview Cake Ruby Interview Questions</a
        >
      </li>
      <li>
        <a href="https://www.javatpoint.com/ruby-interview-questions"
          >Frequently Asked Ruby Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="sass">Sass</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-17-sass-interview-questions/"
          >Top 17 Sass Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="scala">Scala</h3>
    <ul>
      <li>
        <a
          href="http://insights.dice.com/2014/09/12/4-interview-questions-scala-developers/"
          >4 Interview Questions for Scala Developers</a
        >
      </li>
      <li>
        <a href="http://www.scala-lang.org/old/faq"
          >A list of Frequently Asked Questions and their answers, sorted by
          category</a
        >
      </li>
      <li>
        <a href="https://github.com/Jarlakxen/Scala-Interview-Questions"
          >A list of helpful Scala related questions you can use to interview
          potential candidates</a
        >
      </li>
      <li>
        <a
          href="http://programmers.stackexchange.com/questions/58145/how-scala-developers-are-being-interviewed"
          >How Scala Developers Are Being Interviewed</a
        >
      </li>
      <li>
        <a
          href="https://github.com/peterarsentev/Scala-Interview-Questions-Answers"
          >Scala Interview Questions/Answers including Language Questions,
          Functional Programming Questions, Reactive Programming Questions</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-25-interview-questions-on-scala/"
          >Top 25 Scala Interview Questions &amp; Answers from top 3% developers
          company</a
        >
      </li>
    </ul>
    <h3 id="sharepoint">SharePoint</h3>
    <ul>
      <li>
        <a
          href="http://www.rajeshg.me/2013/05/sharepoint-developer-2010-interview.html"
          >Sharepoint Interview Question For Developer</a
        >
      </li>
    </ul>
    <h3 id="shell">Shell</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/shell-scripting-interview-questions/"
          >Top 50 Shell Scripting Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="swift">Swift</h3>
    <ul>
      <li>
        <a href="http://www.toptal.com/swift/interview-questions"
          >10 Essential Swift Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="https://github.com/diwu/LeetCode-Solutions-in-Swift"
          >Get prepared for your next iOS job interview by studying high quality
          LeetCode solutions in Swift 2.1</a
        >
      </li>
      <li>
        <a
          href="http://www.raywenderlich.com/110982/swift-interview-questions-answers"
          >Swift Interview Questions and Answers for both freshers and
          beginners</a
        >
      </li>
      <li>
        <a
          href="http://mycodetips.com/swift-ios/swift-programming-language-interview-questions-answers-987.html"
          >Swift Programming Language Interview Questions And Answers from
          mycodetips.com</a
        >
      </li>
      <li>
        <a
          href="http://blog.udacity.com/2014/11/your-top-10-swift-questions-answered.html"
          >Your top 10 Swift questions answered</a
        >
      </li>
    </ul>
    <h3 id="wordpress">Wordpress</h3>
    <ul>
      <li>
        <a
          href="https://pangara.com/blog/45-wordpress-interview-questions-and-answers"
          >Top 45 Wordpress interview questions</a
        >
      </li>
    </ul>
    <h2 id="database-technologies">Database technologies</h2>
    <h3 id="cassandra">Cassandra</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-23-cassandra-interview-questions/"
          >Top 23 Cassandra Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="microsoft-access">Microsoft Access</h3>
    <ul>
      <li>
        <a
          href="http://career.guru99.com/top-16-ms-access-database-interview-questions/"
          >Top 16 Microsoft Access Database Interview Questions from Career
          Guru</a
        >
      </li>
    </ul>
    <h3 id="mongodb">MongoDB</h3>
    <ul>
      <li>
        <a
          href="http://theprofessionalspoint.blogspot.com.by/2014/01/28-mongodb-nosql-database-interview.html"
          >28 MongoDB NoSQL Database Interview Questions and Answers</a
        >
      </li>
      <li>
        <p>
          <a
            href="http://www.globalguideline.com/interview_questions/Questions.php?sc=MongoDB"
            >MongoDB frequently Asked Questions by expert members with
            experience in MongoDB These questions and answers will help you
            strengthen your technical skills, prepare for the new job test and
            quickly revise the concepts</a
          >
        </p>
      </li>
      <li>
        <a href="http://www.javatpoint.com/mongodb-interview-questions"
          >MongoDB Interview Questions from JavaTPointcom</a
        >
      </li>
      <li>
        <a
          href="http://www.tutorialspoint.com/mongodb/mongodb_interview_questions.htm"
          >MongoDB Interview Questions that have been designed specially to get
          you acquainted with the nature of questions you may encounter during
          your interview for the subject of MongoDB</a
        >
      </li>
      <li>
        <p>
          <a href="http://career.guru99.com/top-20-mongodb-interview-questions/"
            >Top 20 MongoDB interview questions from Career Guru</a
          >
        </p>
      </li>
    </ul>
    <h3 id="mysql">MySQL</h3>
    <ul>
      <li>
        <a
          href="http://www.tecmint.com/10-mysql-database-interview-questions-for-beginners-and-intermediates/"
          >10 MySQL Database Interview Questions for Beginners and
          Intermediates</a
        >
      </li>
      <li>
        <a href="http://www.careerride.com/MySQL-Interview-Questions.aspx"
          >100 MySQL interview questions</a
        >
      </li>
      <li>
        <a
          href="http://www.tecmint.com/basic-mysql-interview-questions-for-database-administrators/"
          >15 Basic MySQL Interview Questions for Database Administrators</a
        >
      </li>
      <li>
        <a href="http://www.javatpoint.com/mysql-interview-questions"
          >28 MySQL interview questions from JavaTPoint.com</a
        >
      </li>
      <li>
        <a
          href="http://www.testingbrain.com/interview/mysql-interview-questions.html"
          >40 Basic MySQL Interview Questions with Answers</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-50-mysql-interview-questions-answers/"
          >Top 50 MySQL Interview Questions &amp; Answers from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="neo4j">Neo4j</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-20-ne04j-interview-questions/"
          >Top 20 Neo4j Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h3 id="oracle">Oracle</h3>
    <ul>
      <li>
        <a href="http://www.coolinterview.com/type.asp?iType=57"
          >General Oracle Interview Questions &amp; Answers</a
        >
      </li>
    </ul>
    <h3 id="postgres">Postgres</h3>
    <ul>
      <li>
        <a href="http://www.dotnetfunda.com/interviews/cat/208/postgresql"
          >13 PostgreSQL Interview Q&amp;A</a
        >
      </li>
      <li>
        <a
          href="http://nazafbtemplate.blogspot.com.by/2014/06/frequently-asked-basic-postgresql.html"
          >Frequently Asked Basic PostgreSQL Interview Questions and Answers</a
        >
      </li>
      <li>
        <a
          href="http://www.globalguideline.com/interview_questions/Questions.php?sc=postgresqk_database_"
          >PostgreSQL Interview Preparation Guide</a
        >
      </li>
      <li>
        <a href="http://www.coolinterview.com/type.asp?iType=411"
          >PostgreSQL Interview Q&amp;A from CoolInterview.com</a
        >
      </li>
    </ul>
    <h3 id="sql">SQL</h3>
    <ul>
      <li>
        <a
          href="http://java67.blogspot.com.by/2013/04/10-frequently-asked-sql-query-interview-questions-answers-database.html"
          >10 Frequently asked SQL Query Interview Questions</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/sql/interview-questions"
          >45 Essential SQL Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a href="http://www.indiabix.com/technical/sql-server-common-questions/"
          >Common Interview Questions and Answers</a
        >
      </li>
      <li>
        <a
          href="http://www.indiabix.com/technical/sql-server-general-questions/"
          >General Interview Questions and Answers</a
        >
      </li>
      <li>
        <a href="https://github.com/XD-DENG/SQL-exercise"
          >Schema, Questions &amp; Solutions for SQL Exercising</a
        >
      </li>
      <li>
        <a href="http://www.tutorialspoint.com/sql/sql_interview_questions.htm"
          >SQL Interview Questions that have been designed specially to get you
          acquainted with the nature of questions you may encounter during your
          interview for the subject of SQL</a
        >
      </li>
      <li>
        <a
          href="http://dwbi.org/database/sql/72-top-20-sql-interview-questions-with-answers"
          >Top 20 SQL Interview Questions with Answers</a
        >
      </li>
    </ul>
    <h3 id="sql-lite">SQL Lite</h3>
    <ul>
      <li>
        <a href="http://career.guru99.com/top-20-sql-lite-interview-questions/"
          >Top 20 SQL LITE Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h2 id="os">OS</h2>
    <h3 id="linux">Linux</h3>
    <ul>
      <li>
        <a
          href="https://www.linux.com/news/featured-blogs/200-libby-clark/842913-10-job-interview-questions-for-linux-sysadmins"
          >10 Job Interview Questions for Linux System Administrators from
          Linux.com</a
        >
      </li>
      <li>
        <a
          href="http://www.tecmint.com/useful-random-linux-interview-questions-and-answers/"
          >10 Useful Random Linux Interview Questions and Answers</a
        >
      </li>
      <li>
        <a
          href="http://www.tecmint.com/basic-linux-interview-questions-and-answers/"
          >11 Basic Linux Interview Questions and Answers</a
        >
      </li>
      <li>
        <a href="http://www.toptal.com/linux/interview-questions"
          >11 Essential Linux Interview Questions from top 3% developers
          company</a
        >
      </li>
      <li>
        <a
          href="http://computernetworkingnotes.com/rhce-interview-questions/linux-interview-questions-answers.html"
          >Some basic Linux questions from ComputerNetworkingNotes.com</a
        >
      </li>
      <li>
        <a
          href="http://www.linuxtechi.com/experience-linux-admin-interview-questions/"
          >Top 30 Linux System Admin Interview Questions &amp; Answers</a
        >
      </li>
      <li>
        <a href="http://career.guru99.com/top-50-linux-interview-questions/"
          >Top 50 Linux Interview Questions from Career Guru</a
        >
      </li>
      <li>
        <a href="https://github.com/chassing/linux-sysadmin-interview-questions"
          >Linux System Administrator/DevOps Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="windows">Windows</h3>
    <ul>
      <li>
        <a
          href="http://www.brentozar.com/archive/2009/07/top-10-interview-questions-for-windows-sysadmins/"
          >Top 10 Interview Questions for Windows Administrators</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-22-windows-server-interview-questions/"
          >Top 22 Windows Server Interview Questions from Career Guru</a
        >
      </li>
      <li>
        <a href="http://www.01world.in/p/windows.html"
          >Windows Admin Interview Questions &amp; Answers</a
        >
      </li>
    </ul>
    <h2 id="algorithms">Algorithms</h2>
    <ul>
      <li>
        <a href="http://java2novice.com/java-interview-programs/"
          >A great list of Java interview questions</a
        >
      </li>
      <li>
        <a href="https://github.com/sagivo/algorithms"
          >Algorithms playground for common interview questions written in
          Ruby</a
        >
      </li>
      <li>
        <a href="https://github.com/EvgenyKarkan/EKAlgorithms"
          >EKAlgorithms contains some well known CS algorithms &amp; data
          structures</a
        >
      </li>
      <li>
        <a
          href="http://www.shiftedup.com/2015/05/07/five-programming-problems-every-software-engineer-should-be-able-to-solve-in-less-than-1-hour"
          >Five programming problems every Software Engineer should be able to
          solve in less than 1 hour</a
        >
      </li>
      <li>
        <a
          href="http://www.programcreek.com/2012/11/top-10-algorithms-for-coding-interview/"
          >Top 10 Algorithms for Coding Interview</a
        >
      </li>
      <li>
        <a
          href="http://javarevisited.blogspot.com.by/2013/03/top-15-data-structures-algorithm-interview-questions-answers-java-programming.html"
          >Top 15 Data Structures and Algorithm Interview Questions for Java
          programmer</a
        >
      </li>
      <li>
        <a
          href="https://github.com/yangshun/tech-interview-handbook/blob/master/algorithms/README.md"
          >Top Algorithms Questions by Topics</a
        >
      </li>
    </ul>
    <h2 id="coding-exercises">Coding exercises</h2>
    <ul>
      <li>
        <a href="https://github.com/mre/the-coding-interview"
          >Common interview questions and puzzles solved in a number of
          languages</a
        >
      </li>
      <li>
        <a href="https://github.com/donnemartin/interactive-coding-challenges"
          >Interactive, test-driven Python coding challenges (algorithms and
          data structures) typically found in coding interviews or coding
          competitions</a
        >
      </li>
      <li>
        <a href="https://github.com/roseperrone/interview-questions"
          >Interview questions solved in python</a
        >
      </li>
    </ul>
    <h2 id="comprehensive-lists">Comprehensive lists</h2>
    <ul>
      <li>
        <a
          href="https://github.com/h5bp/Front-end-Developer-Interview-Questions"
          >A list of helpful front-end related questions you can use to
          interview potential candidates, test yourself or completely ignore</a
        >
      </li>
      <li>
        <a
          href="http://www.aperfectmix.com/free_web_design/front-end-interview-questions.html"
          >Front End Developer Interview Questions</a
        >
      </li>
      <li>
        <a
          href="https://github.com/yangshun/tech-interview-handbook/blob/master/front-end/interview-questions.md"
          >Answers to Front End Developer Interview Questions</a
        >
      </li>
      <li>
        <a href="https://github.com/starandtina/backend-interview-questions"
          >Some simple questions to interview potential backend candidates</a
        >
      </li>
      <li>
        <a
          href="https://www.recruityourninja.com/technical-interview-questions-frontend-candidates/"
          >An Annotated List of Frontend Developer Technical Interview
          Questions</a
        >
      </li>
      <li>
        <a
          href="https://www.recruityourninja.com/technical-interview-questions-backend-candidates/"
          >An Annotated List of Backend Developer Technical Interview
          Questions</a
        >
      </li>
      <li>
        <a
          href="https://www.recruityourninja.com/technical-interview-questions-devops-candidates/"
          >An Annotated List of DevOps Technical Interview Questions</a
        >
      </li>
    </ul>
    <h2 id="design-patterns">Design Patterns</h2>
    <ul>
      <li>
        <a
          href="http://www.tutorialspoint.com/design_pattern/design_pattern_interview_questions.htm"
          >Design Pattern Interview Questions that have been designed specially
          to get you acquainted with the nature of questions you may encounter
          during your interview for the subject of Design Pattern</a
        >
      </li>
      <li>
        <a href="https://github.com/kamranahmedse/design-patterns-for-humans"
          >Design Patterns for Humans™ - An ultra-simplified explanation</a
        >
      </li>
      <li>
        <a href="https://github.com/iluwatar/java-design-patterns"
          >Design patterns implemented in Java</a
        >
      </li>
    </ul>
    <h2 id="data-structures">Data structures</h2>
    <ul>
      <li>
        <a
          href="http://javarevisited.blogspot.com.by/2013/03/top-15-data-structures-algorithm-interview-questions-answers-java-programming.html"
          >Top 15 Data Structures and Algorithm Interview Questions for Java
          programmer</a
        >
      </li>
      <li>
        <a
          href="http://career.guru99.com/top-50-data-structure-interview-questions/"
          >Top 50 Data Structure Interview Questions from Career Guru</a
        >
      </li>
    </ul>
    <h2 id="networks">Networks</h2>
    <ul>
      <li>
        <a
          href="http://career.guru99.com/top-100-networking-interview-questions-answers/"
          >Top 100 Networking Interview Questions &amp; Answers from Career
          Guru</a
        >
      </li>
    </ul>
    <h2 id="security">Security</h2>
    <ul>
      <li>
        <a
          href="http://careers.simplicable.com/careers/new/101-IT-security-interview-questions"
          >101 IT Security Interview Questions</a
        >
      </li>
      <li>
        <a
          href="http://searchsecurity.techtarget.com/tip/How-to-prepare-for-an-information-security-job-interview"
          >How to prepare for an information security job interview?</a
        >
      </li>
      <li>
        <a href="https://danielmiessler.com/study/infosec_interview_questions/"
          >Information Security Interview Questions from Daniel Miessler</a
        >
      </li>
      <li>
        <a
          href="http://resources.infosecinstitute.com/top-50-information-security-interview-questions/"
          >Top 50 Information Security Interview Questions for freshers and
          experts</a
        >
      </li>
    </ul>
    <h2 id="data-science">Data Science</h2>
    <ul>
      <li>
        <a
          href="https://www.dezyre.com/article/-data-science-interview-questions-for-top-tech-companies/189"
          >Data Science Interview Questions for Top Tech Companies</a
        >
      </li>
      <li>
        <a
          href="http://www.datasciencecentral.com/profiles/blogs/66-job-interview-questions-for-data-scientists"
          >66 Job Interview Questions for Data Scientists</a
        >
      </li>
      <li>
        <a
          href="https://www.recruityourninja.com/technical-interview-questions-data-scientist/"
          >An Annotated List of Data Scientist Technical Interview Questions</a
        >
      </li>
    </ul>
    <h3 id="license">License</h3>
    <p>
      <a href="https://creativecommons.org/publicdomain/zero/1.0/"
        ><img
          src="https://i.creativecommons.org/p/zero/1.0/88x31.png"
          alt="CC0"
      /></a>
    </p>
  </body>
</html>
